[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThreadList.Destroy

Destroys the list instance.

## Declaration

Source position: classesh.inc line 359

`public destructor TThreadList.Destroy; override;`

## Description

Destroy finalizes the critical section, clears the internal list object and calls the inherited destructor.

## See also

TThreadList.Create |  | Creates a new thread-safe list.